Bug 1249849 (CVE-2015-4178)

Summary: CVE-2015-4178 kernel: list corruption of m_list or s_list if unused
Product: [Other] Security Response Reporter: Wade Mealing <wmealing>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED NOTABUG QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: agordeev, aquini, arm-mgr, bhu, dhoward, esammons, fhrbata, gansalmon, iboverma, itamar, jforbes, jkacur, joelsmith, jonathan, jross, jwboyer, kernel-maint, kernel-mgr, lgoncalv, lwang, madhu.chinakonda, matt, mchehab, mcressma, mguzik, nmurray, plougher, rt-maint, rvrbovsk, slawomir, slong, williams
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
A flaw was found in the Linux kernel which is related to the user namespace lazily unmounting file systems. The fs_pin struct has two members (m_list and s_list) which are usually initialized on use in the pin_insert_group function. However, these members might go unmodified; in this case, the system panics when it attempts to destroy or free them. This flaw could be used to launch a denial-of-service attack.
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-01-20 02:00:05 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On:    
Bug Blocks: 1224245    

Description Wade Mealing 2015-08-04 00:49:32 UTC
A flaw was found in the linux kernel related to the user namespace
lazily unmounting filesystems.  The fs_pin struct had two members
(m_list and s_list) which are usually initialized on use in the pin_insert_group function.

It is possible that these lists go unmodified and are then attempted to be 
destroyed/freed panicing the system.

Upstream patch:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=820f9f147dcce2602eefd9b575bbbd9ea14f0953


CVE Request:
http://seclists.org/oss-sec/2015/q2/640

Comment 1 Wade Mealing 2015-08-20 03:53:33 UTC
Statement:

This issue does not affect the Linux kernels as shipped with Red Hat Enterprise Linux 5, 6, 7, MRG-2, realtime and arm-kernels.